package de.ps4b.rfid;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.apache.camel.builder.RouteBuilder;

import de.ps4b.rfid.model.matrics.Matrics;

public class EventRouter extends RouteBuilder {

    @Override
    public void configure() throws Exception {
        from("file:target/events/in")
        	.convertBodyTo(Matrics.class)
        	.process(new Processor() {
				public void process(Exchange exchange) throws Exception {
					System.out.println("the body class is " + exchange.getIn().getBody().getClass());
				}
        	})
        	.to("file:target/events/out");
    }
}